Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbrian m. carlson <sandals@crustytoothpaste.net>2018-05-13 05:24:20 +0300
committerJunio C Hamano <gitster@pobox.com>2018-05-14 05:02:01 +0300
commit2bc3d1266842ffb4b46c68900ebbd9a7e0887774 (patch)
tree89713dd0fe0e0ef27246bbfc80ed195ca624216c /t/t5308-pack-detect-duplicates.sh
parentbfb546f86c8b779ca9d288a1b95a6dad5ad636d5 (diff)
t: skip pack tests if not using SHA-1
These tests rely on creating packs with specially named objects which are necessarily dependent on the hash used. Skip these tests if we're not using SHA-1. Signed-off-by: brian m. carlson <sandals@crustytoothpaste.net> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t5308-pack-detect-duplicates.sh')
-rwxr-xr-xt/t5308-pack-detect-duplicates.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/t/t5308-pack-detect-duplicates.sh b/t/t5308-pack-detect-duplicates.sh
index 156ae9e9d3..6845c1f3c3 100755
--- a/t/t5308-pack-detect-duplicates.sh
+++ b/t/t5308-pack-detect-duplicates.sh
@@ -4,6 +4,12 @@ test_description='handling of duplicate objects in incoming packfiles'
. ./test-lib.sh
. "$TEST_DIRECTORY"/lib-pack.sh
+if ! test_have_prereq SHA1
+then
+ skip_all='not using SHA-1 for objects'
+ test_done
+fi
+
# The sha1s we have in our pack. It's important that these have the same
# starting byte, so that they end up in the same fanout section of the index.
# That lets us make sure we are exercising the binary search with both sets.